<!--
// ------ 定义全局变量
	var totalNum;
	var CurrentPosion=0;
	var theCurrentNews;
	var theCurrentLength;
	var theNewsText;
	var theTargetLink;
	var theCharacterTimeout;
	var theNewsTimeout;
	var theBrowserVersion;
	var theWidgetOne;
	var theWidgetTwo;
	var theSpaceFiller;
	var theLeadString;
	var theNewsState;
	function startTicker()
	{               
		// ------ 设置初始数值
		theCharacterTimeout	= 50;//字符间隔时间
		theNewsTimeout		= 2000;//新闻间隔时间
		theWidgetOne        =  "_";//新闻前面下标符1
		theWidgetTwo        =  "-";//新闻前面下标符
		theNewsState		= 1;
		totalNum			= document.getElementById("AllNews").children.length;//新闻总条数
		theCurrentNews		= 0;
		theCurrentLength    = 0;
		theLeadString       = " ";
		theSpaceFiller      = " ";
		runTheTicker();
		}
	// --- 基础函数
	function runTheTicker()
	{
		if(theNewsState == 1)
		{
			if(CurrentPosion>totalNum){
			CurrentPosion=totalNum;
			}
			else
			{
			CurrentPosion++;
			}
			setupNextNews();
			if(CurrentPosion>=totalNum) CurrentPosion=0;
		}
		if(theCurrentLength != theNewsText.length)
		{
		drawNews();
		}
		else
		{
		closeOutNews();
		}
	}
	// --- 跳转下一条新闻
	function setupNextNews()
	{
		theNewsState = 0;
		theCurrentNews = theCurrentNews % totalNum;     
		theNewsText = document.getElementById("Summary" + theCurrentNews).innerHTML;
		theTargetLink = document.getElementById("NewsLink" + theCurrentNews).innerText;
		theCurrentLength = 0;
		document.all.hottext.href = theTargetLink;
		theCurrentNews++;
	}
 	// --- 滚动新闻
	function drawNews()
	{
		var myWidget;
		if((theCurrentLength % 2) == 1)
		{
		myWidget = theWidgetOne;
		}
		else
		{
		myWidget = theWidgetTwo;
		}
		document.getElementById("hottext").innerHTML=theNewsText;
		//document.getElementById("hottext").innerHTML = theLeadString + theNewsText.substring(0,theCurrentLength) + myWidget + theSpaceFiller;
		theCurrentLength++;
		setTimeout("runTheTicker()", theCharacterTimeout);
	}
	// --- 结束新闻循环
	function closeOutNews()
	{
		document.getElementById("hottext").innerHTML = theLeadString + theNewsText + theSpaceFiller;
		theNewsState = 1;
		setTimeout("runTheTicker()", theNewsTimeout);
	}
	window.onload=startTicker;
//-->